you seem fine, when you open your door everyday on this same time

And your style, it's like this day will be same as the days before that night

And if you might, give me reasons for all your decisions you made up until that night,


<br>


coz I kept trying,

to break the walls in between you and mine,

Hoping an us will someday be defined,

But I never gave a thought, of what's there's to be unfold

And if we were together, how was there in picture 

